%define fontconfig_major 1
%define lib_name %mklibname %{name} %{fontconfig_major}
%define develname %mklibname %{name} -d

%define freetype_version 2.3.5

%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}
%define rebuild_doc	0
%if %{bootstrap}
%define rebuild_doc 0
%endif

Summary: Font configuration library
Name: fontconfig
Version: 2.13.93
Release: %mkrel 4
License: MIT and Public Domain and UCD
Group: System/X11
Source0: https://fontconfig.org/release/fontconfig-%{version}.tar.xz
# (fc) 2.3.2-3mdk prefer urw fonts
Source1: 30-mdv-urwfonts.conf
# (fc) 2.3.2-3mdk disable antialiasing for some fonts
Source3: 20-mdv-disable-antialias.conf
# (fc) 2.3.2-3mdk  Avoid KDE/QT uses some bitmapped fonts (guisseppe)
Source5: 30-mdv-avoid-bitmap.conf
# (fc) 2.4.2-1mdv disable embedded bitmap for big size (Mdv bug #25924)
Source8: 26-mdv-no-embeddedbitmap.conf
# (fc) 2.4.92-1mdv enable embeddedbitmap on some CJK fonts (Fedora)
Source101: 25-no-bitmap-fedora.conf
# (ovitters) 2.13.90-1mga fc-cache per arch bits (32/64) (Fedora)
Source102: fc-cache
# (fc) 2.1-4mdk change order of default fonts
Patch50: fontconfig-mdvconfig.patch

# From Fedora as well as upstream:
Patch0: %{name}-sleep-less.patch
#Patch4: %{name}-drop-lang-from-pkgkit-format.patch
Patch5: %{name}-disable-network-required-test.patch
Patch6:		%{name}-hotfix.patch

URL: https://fontconfig.org/

Requires: fonts-filesystem
# Register DTD system-wide to make validation work by default
# (used by fonts-rpm-macros)
Requires(pre):    libxml2-utils
Requires(postun): libxml2-utils

Requires(post): %{lib_name}  >= %{version}-%{release}
Requires(post): grep
Requires(post): coreutils

BuildRequires: pkgconfig(freetype2) >= %{freetype_version}
BuildRequires: pkgconfig(uuid)

BuildRequires: ed
%if %{rebuild_doc}
BuildRequires: docbook-utils
BuildRequires: docbook-utils-pdf
BuildRequires: docbook-dtd31-sgml
BuildRequires: docbook-dtd41-sgml
%endif
BuildRequires: lynx
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: libxml2-utils
BuildRequires: gperf
BuildRequires: docbook-utils
BuildRequires: docbook-utils-pdf

# fwang: add conflicts to ease upgrade
Conflicts:	x11-font-wqy-bitmapfont < 1.0-0.20070901.1

%description
Fontconfig is designed to locate fonts within the
system and select them according to requirements specified by
applications.

%package -n %{lib_name}
Summary: Font configuration and customization library
Group: System/Libraries
Requires: %{name} >= %{version}-%{release}
Provides: lib%{name} = %{version}-%{release}
Provides: %{name}-libs = %{version}-%{release}

%description -n %{lib_name}
Fontconfig is designed to locate fonts within the
system and select them according to requirements specified by
applications.

%package -n %{develname}
Summary: Font configuration and customization library
Group: Development/C
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Requires: %{name} = %{version}-%{release}
Requires: %{lib_name} = %{version}-%{release}
Requires: freetype2-devel >= %{freetype_version}
Obsoletes: %{mklibname -d %{name} 1} <= 2.11.1

%description -n %{develname}
The fontconfig-devel package includes the header files,
and developer docs for the fontconfig package.

Install fontconfig-devel if you want to develop programs which
will use fontconfig.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure --localstatedir=/var \
   --with-add-fonts="/usr/share/fonts,/usr/share/X11/fonts/Type1,/usr/share/X11/fonts/TTF,/usr/local/share/fonts,/usr/lib/X11/fonts,/opt/ttfonts" \
   --enable-libxml2 \
   --with-cache-dir=/usr/lib/fontconfig/cache \
   --disable-static

%make_build

%install
%make_install

install -p -m 0644 %{SOURCE1} %{SOURCE3} %{SOURCE5} %{SOURCE8} %{SOURCE101} %{buildroot}%{_sysconfdir}/fonts/conf.d

# needed in case main config files isn't up to date
cat << EOF > %{buildroot}%{_sysconfdir}/fonts/conf.d/00-cache.conf
<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "urn:fontconfig:fonts.dtd">
<fontconfig>
<!-- Font cache directory list -->

        <cachedir>/usr/lib/fontconfig/cache</cachedir>
        <cachedir>~/.fontconfig</cachedir>

</fontconfig>
EOF

ln -s %{_datadir}/fontconfig/conf.avail/25-unhint-nonlatin.conf %{buildroot}%{_sysconfdir}/fonts/conf.d

# rename fc-cache binary
mv $RPM_BUILD_ROOT%{_bindir}/fc-cache $RPM_BUILD_ROOT%{_bindir}/fc-cache-%{__isa_bits}

# create link to man page
echo ".so man1/fc-cache.1" > $RPM_BUILD_ROOT%{_mandir}/man1/fc-cache-%{__isa_bits}.1

install -p -m 0755 %{SOURCE102} $RPM_BUILD_ROOT%{_bindir}/fc-cache

# remove unpackaged files
rm -rf %{buildroot}%{_datadir}/doc/fontconfig

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}
%find_lang %{name}-conf

%check
# reported and fixed in https://gitlab.freedesktop.org/fontconfig/fontconfig/-/issues/235
# unfortunately the patch does not apply cleanly, plus depends on a few invasive patches, so
# annoying to apply it
[[ -z "$SOURCE_DATE_EPOCH" ]] && export SOURCE_DATE_EPOCH=0
VERBOSE=1 make check

%post
umask 0022

mkdir -p /usr/lib/fontconfig/cache

[[ -d %{_localstatedir}/cache/fontconfig ]] && rm -rf %{_localstatedir}/cache/fontconfig/* 2> /dev/null || :

# Force regeneration of all fontconfig cache files
# The check for existance is needed on dual-arch installs (the second
#  copy of fontconfig might install the binary instead of the first)
# The HOME setting is to avoid problems if HOME hasn't been reset
if [ -x /usr/bin/fc-cache ] && /usr/bin/fc-cache --version 2>&1 | grep -q %{version} ; then
  HOME=/root /usr/bin/fc-cache -f
fi


%triggerprein -- fontconfig < 2.4.0
rm -f %{_var}/cache/fontconfig/*.cache-2

# rpm filetriggers to update cache
%transfiletriggerin     --  /usr/share/fonts /usr/share/X11/fonts/Type1 /usr/share/X11/fonts/TTF /usr/local/share/fonts /usr/lib/X11/fonts /opt/ttfonts
HOME=/root /usr/bin/fc-cache -s

%transfiletriggerpostun --  /usr/share/fonts /usr/share/X11/fonts/Type1 /usr/share/X11/fonts/TTF /usr/local/share/fonts /usr/lib/X11/fonts /opt/ttfonts
HOME=/root /usr/bin/fc-cache -s

%posttrans
if [ -e %{_sysconfdir}/xml/catalog ]; then
  %{_bindir}/xmlcatalog --noout --add system \
                        "urn:fontconfig:fonts.dtd" \
                        "file://%{_datadir}/xml/fontconfig/fonts.dtd" \
                        %{_sysconfdir}/xml/catalog
fi

%postun
if [ $1 == 0 ] && [ -e %{_sysconfdir}/xml/catalog ]; then
  %{_bindir}/xmlcatalog --noout --del "urn:fontconfig:fonts.dtd"
fi

%files -f %{name}.lang -f %{name}-conf.lang
%doc README AUTHORS COPYING doc/fontconfig-user.html doc/fontconfig-user.txt
%{_bindir}/*
%dir %{_sysconfdir}/fonts
%dir %{_sysconfdir}/fonts/conf.d
# those files must NOT have noreplace option
%config %{_sysconfdir}/fonts/fonts.conf
%config %{_sysconfdir}/fonts/conf.d/*.conf
%config %{_sysconfdir}/fonts/conf.d/README
%{_datadir}/fontconfig/
%{_datadir}/gettext/its/*
%{_datadir}/xml/fontconfig/fonts.dtd
%{_mandir}/man1/*
%{_mandir}/man5/*
%dir /usr/lib/fontconfig/cache

%files -n %{lib_name}
%{_libdir}/*.so.%{fontconfig_major}
%{_libdir}/*.so.%{fontconfig_major}.*

%files -n %{develname}
%doc doc/fontconfig-devel doc/fontconfig-devel.txt
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_mandir}/man3/*


%changelog
* Thu Dec 24 2020 tv <tv> 2.13.93-4.mga8
+ Revision: 1663314
- cherry pick some upstream patches
  - Skip leading white space in style.
  - Remove abort from FcCompareSize.
  - Fix memory leaks
  - Check qual and compare for family tests.

* Fri Dec 04 2020 tv <tv> 2.13.93-3.mga8
+ Revision: 1652518
- Add back fullname property at the scan matching phase for the backward compatibility.
  (rhbz#1902881)

* Mon Nov 30 2020 tv <tv> 2.13.93-2.mga8
+ Revision: 1650548
- disable drop-lang-from-pkgkit-format.patch as it breaks rpm font provides generation

* Sun Nov 29 2020 luigiwalser <luigiwalser> 2.13.93-1.mga8
+ Revision: 1650081
- rediff patch 50
- 2.13.93
- remove upstreamed patches and man page
- add BRs to fix docs build
- add patch from fedora to remove test requiring network connectivity

* Fri Apr 10 2020 ovitters <ovitters> 2.13.92-3.mga8
+ Revision: 1566116
- add comment about workaround

* Thu Apr 09 2020 ovitters <ovitters> 2.13.92-2.mga8
+ Revision: 1565852
- remove unneeded freetype require

* Thu Apr 09 2020 ovitters <ovitters> 2.13.92-1.mga8
+ Revision: 1565846
- new version 2.13.92
- sync patches with Fedora
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 2.13.1-2.mga8
+ Revision: 1521550
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Dec 28 2018 luigiwalser <luigiwalser> 2.13.1-1.mga7
+ Revision: 1345836
- 2.13.1
- remove upstreamed patch
- add some upstream patches via fedora

* Sun Sep 23 2018 umeabot <umeabot> 2.13.0-4.mga7
+ Revision: 1297738
- Mageia 7 Mass Rebuild

* Tue Apr 24 2018 wally <wally> 2.13.0-3.mga7
+ Revision: 1222187
- don't own dirs owned by other pkgs

* Thu Apr 12 2018 kekepower <kekepower> 2.13.0-2.mga7
+ Revision: 1218012
- Add upstream patch to fix broken emacs

* Tue Mar 27 2018 kekepower <kekepower> 2.13.0-1.mga7
+ Revision: 1212832
- BR uuid
- Update to version 2.13.0
- Rediffed patch

* Fri Sep 29 2017 tv <tv> 2.12.6-1.mga7
+ Revision: 1161478
- drop patch 3 as it breaks testsuite
- rediff patch (some bit was merged upstream modulo s/(Microsoft YaHei) UI/\1/)
- new release

* Mon Jul 24 2017 joequant <joequant> 2.12.4-2.mga7
+ Revision: 1129815
- fix 21206 - fix sans-serif in Chinese microsoft fonts

* Wed Jul 19 2017 tv <tv> 2.12.4-1.mga7
+ Revision: 1125099
- BR gperf
- new release

* Thu Jan 19 2017 daviddavid <daviddavid> 2.12.1-2.mga6
+ Revision: 1082464
- add patch from Arch Linux to fix test with freetype2 2.7.1

* Tue Aug 09 2016 akien <akien> 2.12.1-1.mga6
+ Revision: 1045184
- Version 2.12.1
  o Upstreams sec patch for CVE-2016-5384
  o Adds --with-default-hinting option (might help fix mga#18488)

* Mon Aug 08 2016 luigiwalser <luigiwalser> 2.12.0-2.mga6
+ Revision: 1045006
- add upstream patch to fix CVE-2016-5384

* Tue Jun 28 2016 tmb <tmb> 2.12.0-1.mga6
+ Revision: 1038023
- update to 2.12.0 final

* Mon May 09 2016 luigiwalser <luigiwalser> 2.11.95-1.mga6
+ Revision: 1011358
- 2.11.95
- remove patch 3 (fixed upstream)

* Thu Feb 11 2016 umeabot <umeabot> 2.11.94-2.mga6
+ Revision: 953960
- Mageia 6 Mass Rebuild
+ tv <tv>
- switch to pkgconfig() BRs

* Sun Sep 13 2015 ycantin <ycantin> 2.11.94-1.mga6
+ Revision: 878930
- new version 2.11.94
  rediff fontconfig-mdvconfig.patch
  sync Fedora patchs

* Sat Sep 05 2015 tv <tv> 2.11.1-5.mga6
+ Revision: 873137
- switch to new upstream file trigger syntax
- add more font paths from FC
- drop obsolete /usr/X11R6/lib/X11/fonts path

* Wed Oct 15 2014 umeabot <umeabot> 2.11.1-4.mga5
+ Revision: 744720
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.11.1-3.mga5
+ Revision: 679254
- Mageia 5 Mass Rebuild

* Wed Aug 06 2014 fwang <fwang> 2.11.1-2.mga5
+ Revision: 660320
- promote source han at first

* Sat Mar 29 2014 luigiwalser <luigiwalser> 2.11.1-1.mga5
+ Revision: 609638
- 2.11.1

* Tue Oct 22 2013 umeabot <umeabot> 2.11.0-2.mga4
+ Revision: 541353
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 fwang <fwang> 2.11.0-1.mga4
+ Revision: 495666
- new version 2.11.0

* Sun Sep 01 2013 tmb <tmb> 2.10.95-1.mga4
+ Revision: 474023
- 2.10.95 (crash fix)

* Sat Aug 31 2013 luigiwalser <luigiwalser> 2.10.94-1.mga4
+ Revision: 473609
- 2.10.94

* Sun May 26 2013 blino <blino> 2.10.93-1.mga4
+ Revision: 428238
- 2.10.93

* Fri Jan 11 2013 umeabot <umeabot> 2.10.2-2.mga3
+ Revision: 350644
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 fwang <fwang> 2.10.2-1.mga3
+ Revision: 322235
- new version 2.10.2

* Fri Aug 03 2012 fwang <fwang> 2.10.1-3.mga3
+ Revision: 278107
- drop more invalid rules

* Tue Jul 31 2012 fwang <fwang> 2.10.1-2.mga3
+ Revision: 276551
- delete rules that are not used any more

* Fri Jul 27 2012 fwang <fwang> 2.10.1-1.mga3
+ Revision: 274803
- new version 2.10.1
+ yochenhsieh <yochenhsieh>
- Alter default zh_TW font order in conf

* Tue Jul 17 2012 fwang <fwang> 2.10-2.mga3
+ Revision: 271708
- fix symlink

* Tue Jul 17 2012 fwang <fwang> 2.10-1.mga3
+ Revision: 271698
- update file list
- fix dtd checking
- do not build doc for now
- new version 2.10
+ yochenhsieh <yochenhsieh>
- Update/fix patch format errors
- Set AR PL Uming TW for zh-tw default

* Fri Jun 08 2012 fwang <fwang> 2.9.0-1.mga3
+ Revision: 257473
- new version 2.9.0

* Sun Oct 09 2011 wally <wally> 2.8.0-6.mga2
+ Revision: 153560
- disable static build and get rid of .la files
+ blino <blino>
- remove old ldconfig scriptlets
- imported package fontconfig


* Wed Dec 29 2010 Funda Wang <fwang@mandriva.org> 2.8.0-5mdv2011.0
+ Revision: 625776
- rebuild

* Tue Dec 28 2010 Funda Wang <fwang@mandriva.org> 2.8.0-4mdv2011.0
+ Revision: 625493
- rebuild for new fontconfig

* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 2.8.0-3mdv2011.0
+ Revision: 605174
- rebuild

* Mon Jan 18 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.8.0-2mdv2010.1
+ Revision: 493195
- Add filetriggers to run fc-cache

* Thu Nov 19 2009 Frederic Crozat <fcrozat@mandriva.com> 2.8.0-1mdv2010.1
+ Revision: 467386
- Release 2.8.0

* Thu Sep 24 2009 Olivier Blin <oblin@mandriva.com> 2.7.3-2mdv2010.0
+ Revision: 448269
- add bootstrap build option (from Arnaud Patard)
- allow to build rpm without doc, getting docbook-utils is a nightmare
  due to circular build deps including fontconfig. break that.
  (from Arnaud Patard)

* Mon Sep 14 2009 Frederic Crozat <fcrozat@mandriva.com> 2.7.3-1mdv2010.0
+ Revision: 440613
- Release 2.7.3

* Mon Aug 31 2009 Funda Wang <fwang@mandriva.org> 2.7.1-2mdv2010.0
+ Revision: 422926
- prefer micro hei for chinese locale

* Tue Jul 28 2009 Frederic Crozat <fcrozat@mandriva.com> 2.7.1-1mdv2010.0
+ Revision: 402510
- Release 2.7.1
- Regenerate patch0

* Thu Jun 25 2009 Frederic Crozat <fcrozat@mandriva.com> 2.7.0-1mdv2010.0
+ Revision: 389057
- Release 2.7.0
- Regenerate patch0 (partially merged)

* Wed Apr 15 2009 Funda Wang <fwang@mandriva.org> 2.6.0-5mdv2009.1
+ Revision: 367542
- fix bug#48071, specify correct font size when using embedded bitmap fonts

* Tue Feb 03 2009 Frederic Crozat <fcrozat@mandriva.com> 2.6.0-4mdv2009.1
+ Revision: 336914
- Drop yudit directory from default config, not useful and causes polling on most systems where it is not installed

* Sat Sep 27 2008 Funda Wang <fwang@mandriva.org> 2.6.0-3mdv2009.0
+ Revision: 288843
- adopt to new chiinese font names

* Sat Jul 12 2008 Funda Wang <fwang@mandriva.org> 2.6.0-2mdv2009.0
+ Revision: 234178
- Prefer WenQuanYi fonts with Chinese

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Jun 03 2008 Frederic Crozat <fcrozat@mandriva.com> 2.6.0-1mdv2009.0
+ Revision: 214728
- Release 2.6.0

* Wed May 28 2008 Frederic Crozat <fcrozat@mandriva.com> 2.5.93-1mdv2009.0
+ Revision: 212682
- Release 2.5.93 (2.6 RC3)
- Regenerate patch1, almost everything got merged upstream \o/

  + Funda Wang <fwang@mandriva.org>
    - The font name of Chinese fonts changed

* Mon Apr 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 2.5.91-1mdv2009.0
+ Revision: 193442
- Update to version 2.5.91.

* Mon Jan 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 2.5.0-2mdv2008.1
+ Revision: 151842
- Update BuildRequires and rebuild.
- Move %%triggerprein in spec file as it was being interpreted as an %%clean
  command and exiting the rpm build process with an error exit status.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 14 2007 Frederic Crozat <fcrozat@mandriva.com> 2.5.0-1mdv2008.1
+ Revision: 108636
- Release 2.5.0

* Tue Nov 06 2007 Frederic Crozat <fcrozat@mandriva.com> 2.4.92-1mdv2008.1
+ Revision: 106413
- Release 2.4.92
- Update source4 and rename it : partially merged upstream
- Remove source6 (no longer needed), source7 (merged upstream)
- Rename source8 (partially handled by upstream)
- Source10 (Fedora): enable embedded bitmap on some CJK fonts (other part is partially merged)
- Remove patches 2 (merged upsteam), 3 (no longer needed), 4 (merged upstream)
- Update patch1 to move some configuration part in upstream files
- Remove upstream merged part of the changes

* Mon Oct 15 2007 Frederic Crozat <fcrozat@mandriva.com> 2.4.2-9mdv2008.1
+ Revision: 98588
- Patch4 (SUSE): fix duplicated pattern in Qt (Mdv bug #34753, Novell bug #244579)

* Tue Sep 11 2007 Frederic Crozat <fcrozat@mandriva.com> 2.4.2-8mdv2008.0
+ Revision: 84453
- Update source3 to disable all rules until QT4 is fixed, including minimal size rules

* Sat Sep 01 2007 Funda Wang <fwang@mandriva.org> 2.4.2-7mdv2008.0
+ Revision: 77327
- Move wqy config rule into main fontconfig package

* Wed Aug 29 2007 Frederic Crozat <fcrozat@mandriva.com> 2.4.2-6mdv2008.0
+ Revision: 74722
- Rename all mdv configuration files to use the upstream ordering (Mdv bug #26818)
- Update source5 to also provide Fixed font substitute for QT
- Update source1 to provide Fixed font alias (and use Liberation font for MS aliases)
- enable back 20-fix-globaladvanced.conf
- Update source3 to not disable AA on some CJK fonts to workaround QT4 bug (Mdv bug #30877)
- Update source6 with new aliases from Fedora and Hirosi UTUMI
- Validate all configuration file when building package
- Patch2 (GIT): various fixes
- Patch3 (SUSE): fix crash with invalid configuration

* Thu Aug 16 2007 Thierry Vignaud <tv@mandriva.org> 2.4.2-5mdv2008.0
+ Revision: 64224
- tag /etc/fonts/fonts.dtd as %%conffile

* Fri Apr 20 2007 Funda Wang <fwang@mandriva.org> 2.4.2-4mdv2008.0
+ Revision: 15246
- really disable wqy-bitmapfont.
- really disable wqy-bitmapfont.

* Thu Apr 19 2007 Funda Wang <fwang@mandriva.org> 2.4.2-3mdv2008.0
+ Revision: 14925
- Drop wqy-bitmapfont from alternative list.


* Fri Dec 29 2006 Frederic Crozat <fcrozat@mandriva.com> 2.4.2-2mdv2007.0
+ Revision: 102607
- bunzip patch
- Update patch0 / source 3 for new japanese fonts (Mdv bug #27161)
- Release 2.4.2
- Add source8: disable embedded pixmap for big size (Mdv bug #25924)
- Import fontconfig

* Tue Sep 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.4.1-1mdv2007.0
- Release 2.4.1
- reupdate patch1, to really fix DejaVu preference over Vera
- Remove patch2, merged upstream

* Sat Sep 16 2006 Frederic Crozat <fcrozat@mandriva.com> 2.4.0-3mdv2007.0
- Update patch1 to prefer DejaVu over Vera (regression for QT) (Mdv bug #25648)

* Wed Sep 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.4.0-2mdv2007.0
- Patch2 (GIT): add ppc64 signature
- Config files are no longer noreplace, otherwise update may break (Mdv bug #25609)
- Users should create additionnal files in /etc/fonts/conf.d

* Tue Sep 12 2006 Frederic Crozat <fcrozat@mandriva.com> 2.4.0-1mdv2007.0
- Release 2.4.0 (yes, it is stable)
- Regenerate patch1
- Add source6 (previously in patch1)
- Remove patch2 (merged upstream)-
- Update source4 to no longer disable hinting for CJK (Mdv bug #22629)
- Update source1 to fix Mdv bug #21940

* Sat May 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.95-3mdk
- Rebuild with modular xorg

* Fri May 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.95-2mdk
- Patch2 (DavidTurner): speedup fontconfig cache regeneration

* Thu Apr 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.95-1mdk
- Release 2.3.95
- Regenerate patch1
- Regenerate source1, symbol part is now merged upstream

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.94-1mdk
- Release 2.3.94

* Mon Feb 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.93-11mdk
- New CVS Snapshot (20060218)
- Remove patches 2, 3, 4, 5, 6, 7 (merged upstream)
- Force a system cache cleanup when upgrading for earlier releases

* Fri Feb 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.93-10mdk
- Patch7 (SUSE): fix endless loop with symlink pointing to parent dir

* Thu Feb 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.93-9mdk
- Patch2 (SUSE): fix crash
- Patch3 (SUSE): fix font subdir parsing
- Patch4 (SUSE): code cleanup
- Patch5 (SUSE): memleak fix
- Patch6 (SUSE): fix cache update check

* Tue Jan 31 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.93-8mdk
- Update to CVS snapshot 20060131
- Remove patches 2, 3, 4, 5 (merged upstream)

* Mon Jan 30 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.93-7mdk
- Patch5: fix old manpages (Mdk bug #20893)

* Thu Jan 12 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.93-6mdk
- Patch4 (Mike Fabian): normalize path in fc-cache

* Thu Jan 12 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.93-5mdk
- Patch2 (Mike Fabian): fix global dir handling (fix some crash)
- Patch3 (Mike Fabian): fix one crash in fc-cat

* Wed Jan 11 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.93-4mdk
- Update to CVS snapshot 20060111
- remove patches 2 & 3 (merged upstream)

* Wed Jan 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.93-3mdk
- Patch3: resolve path argument in fc-cache

* Wed Jan 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.3.93-2mdk
- System cache files are now located in /var/cache/fontconfig

* Mon Jan 02 2006 Helio Chissini de Castro <helio@mandriva.com> 2.3.93-1mdk
- Update for final 2.3.93
- Remove bad cmap patch
- Added L.Lunak patch to avoid random crashes with memory map

* Wed Nov 30 2005 Frederic Crozat <fcrozat@mandriva.com> 2.3.92-7mdk
- Update to 2.3.93-CVS snapshot 20051130
- Remove patches 14, 15, 16, 17, 18, 19 (merged upstream), patch13 (no longer needed)

* Wed Nov 23 2005 Frederic Crozat <fcrozat@mandriva.com> 2.3.92-6mdk
- Patch18: fix fc-match -s not detected correctly
- Patch19: fix warnings

* Fri Nov 18 2005 Frederic Crozat <fcrozat@mandriva.com> 2.3.92-5mdk
- Patch16: fix invalid free in config load (reported by SadEagle)
- Patch17: fix crash in fc-cat

* Thu Nov 17 2005 Frederic Crozat <fcrozat@mandriva.com> 2.3.92-4mdk
- Patch15 (sunmoon1997): fix crash with invalid config file

* Wed Nov 16 2005 Frederic Crozat <fcrozat@mandriva.com> 2.3.92-3mdk
- Update patch7 and source3 with new chinese fonts (Mdk bug #19811)

* Wed Nov 16 2005 Frederic Crozat <fcrozat@mandriva.com> 2.3.92-2mdk
- Patch14: add warnings when invalid const value are used
- Update source6, don't blacklist Luxi Mono

* Wed Nov 09 2005 Frederic Crozat <fcrozat@mandriva.com> 2.3.92-1mdk
- Release 2.3.92 (development release) aka mmap cache 
- Remove patches 0 (no longer needed), 14 (merged upstream)
- Regenerate patch7
- Replace patch5 with source6 (replacing patch with config file is always better)
- Patch13: prevent cache corruption
- use libxml2 instead of expat

* Thu Aug 18 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.3.2-5mdk
- built-in libtool fixes

* Sat Aug 13 2005 Frederic Crozat <fcrozat@mandriva.com> 2.3.2-4mdk
- fix prereq, it was incorrect
- reduce patch 7, remove patches 9, 10, 13, use several individual 
  configuration files in conf.d, suggestion from Funda Wang (Mdk bug #17237)
- add more aliases for Helvetica (Guiseppe)

* Thu Aug 11 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.3.2-3mdk
- Fix PreReq
     - Close ticket 17438

* Wed Aug 03 2005 Frederic Crozat <fcrozat@mandriva.com> 2.3.2-2mdk 
- Patch14 (CVS): don't include config files ending with .rpmnew/.rpmsave

* Fri Apr 29 2005 Frederic Crozat <fcrozat@mandriva.com> 2.3.2-1mdk
- New release 2.3.2
- regenerate patch 7

* Mon Mar 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.1-2mdk 
- Really update patch 8

* Thu Mar 10 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.1-1mdk 
- Release 2.3.1
- Update patch8 (fix Mdk bug 13357)

* Wed Mar 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.0-1mdk 
- Release 2.3.0
- Regenerate patch 8

* Wed Feb 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.99-3mdk 
- Update patch7 to fix default chinese fonts (Funda Wang) (Mdk bug #13357)

* Fri Feb 04 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 2.2.99-2mdk>
- aliases for the new Han and tifinagh fonts

* Mon Jan 31 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.99-1mdk
- New release 2.2.99

* Wed Jan 12 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.98-2mdk 
- Update patch8 to no discard bitmap fonts

* Tue Jan 11 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.98-1mdk 
- Release 2.2.98
- Remove patches 3, 8, 11 (merged upstream)
- Regenerate patches 5, 7

* Wed Nov 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.96-8mdk
- patch 13: dejavu is vera compatible (vera+extra symbols)

* Sat Sep 25 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 2.2.96-7mdk
- fixed some of the aliases to mach new names (and comments about
  fonts coverage)
- disabled hinting for CJK fonts (UTUMI Hirosi patch)

* Wed Aug 11 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 2.2.96-6mdk
- fixed width of dual width monospace fonts (typically CJK fonts)
- improved language coverage detection

* Wed Aug 11 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 2.2.96-5mdk
- disactivated hinting for "Mukti Narrow" and "Likhan"
- inclusion of culmus.conf
- "Mitra Mono" (bengali monospace font) added to monospace aliases

* Fri Aug 06 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 2.2.96-4mdk
- Some more font aliases

* Wed Jul 28 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.2.96-3mdk
- add BuildRequires: lynx

* Fri Jul 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.96-2mdk
- Fix buildrequires

* Tue Jul 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.96-1mdk
- Release 2.2.96 
- Enable libtoolize

* Wed Jun 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.95-1mdk
- Release 2.2.95
- Remove patch10 (merged upstream)

* Fri May 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.94-1mdk
- Release 2.2.94
- Patch10 : fix build with latest freetype
- Fix recognition of some bitmap fonts (Mdk bug #9652)
- Remove patch6 (merged upstream)
- Regenerate patch7 and add more aliases for some known fonts (Fedora)
- Regenerate patch9

* Sat Apr 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.2-1mdk
- Release 2.2.2
- Remove patch10 (merged upstream)

